%define name    moin
%define version 1.1
%define cvsdate 20030824
%define release 0.cvs%{cvsdate}.3mdk

Summary:	MoinMoin is a WikiWikiWeb clone.
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/WWW
URL:		http://moin.sourceforge.net/
Source0:	%{name}-%{version}.cvs%{cvsdate}.tar.bz2
Source1:	README.RPM
Source2:	apache2-moin.conf
Source3:	MonthCalendar.py
Source4:	MonthCalendar.css
Patch1:		moin_config.py.mydefaults.patch
Patch2:		moin.cgi.nowarnings.patch
Patch3:		moinmoin.css.addMonthCalendar.patch
Patch4:		PageEditor.py.alwaysSendEMail.patch
Patch5:		de.py.subjectEncoding.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python >= 2.2
BuildRequires:	python-devel >= 2.2
#Requires:	python-gdchart

%description
MoinMoin is a WikiWikiWeb clone. A WikiWikiWeb is a collaborative hypertext
environment, with an emphasis on easy access to and modification of
information.

MoinMoin is written in Python and allows you to easily set up your own Wiki,
only requiring a Web server and a Python installation.

This package allows you to run several MoinMoin Wiki instances on one machine.
If you need only one or if you want a template for your Wikis, see the
%{name}-apache2 package.


%package apache2
Summary:	Installs a MoinMoin at http://localhost/wiki/ using apache2
Group:		Networking/WWW
Requires:	%name = %version
Requires:	apache2
Obsoletes:	moin-www

%description apache2
This package installs an up and running MoinMoin at http://localhost/wiki/.


%prep
%setup -q -n moin
cp %SOURCE1 README.RPM
cp %SOURCE3 MoinMoin/macro/MonthCalendar.py
cp %SOURCE4 wiki/htdocs/css/monthcalendar.css
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0


%build
CFLAGS="%{optflags}" python setup.py build


%install
rm -rf %buildroot
python setup.py install --root="%{buildroot}"

%define mywiki %{_var}/www/moin
install -d %{buildroot}/%{mywiki}
cp -ra %{buildroot}/%{_datadir}/moin/data      %{buildroot}/%{mywiki}/data
cp -a  %{buildroot}/%{_datadir}/moin/cgi-bin/* %{buildroot}/%{mywiki}
rm -f %{buildroot}/%{mywiki}/data/intermap.txt
touch %{buildroot}/%{mywiki}/data/intermap.txt

install -d %{buildroot}/%{_sysconfdir}/httpd/conf.d
cp %SOURCE2 %{buildroot}/%{_sysconfdir}/httpd/conf.d/moin.conf


%clean
rm -rf %buildroot


%post apache2
%{_initrddir}/httpd reload

%postun apache2
%{_initrddir}/httpd reload


%files
%defattr(0755,root,root,0755)
%{_bindir}/*
%defattr(0644,root,root,0755)
%doc CHANGES COPYING INSTALL.html README README.RPM TODO
%{_libdir}/python*/site-packages/MoinMoin
%{_datadir}/moin


%files apache2
%defattr(0755,root,root,0755)
%{mywiki}/moin.cgi

%defattr(0664,apache,apache,0775)
%dir %{mywiki}/data
%dir %{mywiki}/data/backup
%dir %{mywiki}/data/cache
%dir %{mywiki}/data/pages
%dir %{mywiki}/data/user
%config(noreplace) %{mywiki}/data/text

%defattr(0664,root,apache,0775)
%config(noreplace) %{mywiki}/data/plugin

%defattr(0644,root,root,0755)
%config(noreplace) %{mywiki}/moin_config.py
%config(noreplace) %{mywiki}/data/intermap.txt
%config(noreplace) %{_sysconfdir}/httpd/conf.d/moin.conf


%changelog
* Mon Aug 25 2003 Michael Reinsch <mr@uue.org> 1.1-0.cvs20030824.3mdk
- Patch: de.py: use mime encoding for umlaut in subject

* Sun Aug 24 2003 Michael Reinsch <mr@uue.org> 1.1-0.cvs20030824.2mr
- Patch: don't let user choose if he wants to send an email, always send one
- renamed moin-www to moin-apache2

* Sun Aug 24 2003 Michael Reinsch <mr@uue.org> 1.1-0.cvs20030824.1mr
- updated to cvs snapshot 20030824
- included month calendar macro

* Fri Aug 22 2003 Michael Reinsch <mr@uue.org> 1.1-0.cvs20030814.2mr
- moin-www package containing default installation

* Thu Aug 21 2003 Michael Reinsch <mr@uue.org> 1.1-0.cvs20030814.1mr
- created from cvs snapshot 20030814
